# topikm6-templateclass

[![pipeline status](http://gitlab.topibd.net/topikm6/topikm6-templateclass/badges/master/pipeline.svg)](http://gitlab.topibd.net/topikm6/topikm6-templateclass/commits/master)
[![pipeline status](http://gitlab.topibd.net/topikm6/topikm6-templateclass/badges/develop/pipeline.svg)](http://gitlab.topibd.net/topikm6/topikm6-templateclass/commits/develop)

- TopTemplateClass0

  空模板

- TopTemplateClass0A

  空模板，可配置背景。常用来做首页。

- TopTemplateClass1

  单表模板。常用做单张表的信息展示。

- TopTemplateClass1A

  单表模板，控件为TreeView。

- TopTemplateClass2

  表单模板。常用做表单展示。

- TopTemplateClass3

  带详细信息的单表模板，左右结构。

- TopTemplateClass4

  带导航过滤，带详细信息的单表模板，左中右结构。

- TopTemplateClass5

  主从表模板，左右结构，用两个TableView展示。

- TopTemplateClass6

  报表模板1，设计参考 http://doc.topibd.net/docs/topmes_v6/topmes_v6-1bgqpndr7b42c
  
- TopTemplateClass7
  报表模板2，左右结构，带有搜索栏的报表展示，有搜索栏+TableView，另外有详情表单可选

## 如何发布？

### CI发布（推荐）
默认规则：当将代码从develop分支合并到master分支，进行包发布。目前CI只自动发布release版本。

0. 修改sincpm.json中的版本号
1. 修改src/plugin/plugin.pro中的版本号
2. 在CHANGELOG.md中添加新版本的发布日志
3. 将代码从develop分支合并到master分支

### 手动发布（不推荐）
0. (若未安装sincpm) 安装[sincpm](http://gitlab.topibd.net/topsin/topsin-sincpm/releases)，配置好环境变量
1. 修改sincpm.json中的版本号
2. 修改src/plugin/plugin.pro中的版本号
3. 在CHANGELOG.md中添加新版本的发布日志
4. 在根目录下打包
    ```bash
    sincpm package topikm6-templateclass
    ```
5. 在sincpm的local目录下上传包，例如
    ```bash
    cd local
    cd topikm6-templateclass
    sincpm upload [topikm6-templateclass]-[1.0.0]-[windows-x86-msvc2015]-[qt5.6.3]
    ```